import { HAMMER_COMMON_BREAKABLE_BLOCKS } from "../common/vanillaBlocks";
import { THIRD_PARTY_BREAKABLE_BLOCKS } from "../common/customBlocks";
import { COPPER_BLOCKS } from "../common/copperBlocks";

export const HAMMER_BLOCK_TYPES = {
   'new:topacio_hammer': [
      ...HAMMER_COMMON_BREAKABLE_BLOCKS,
      ...THIRD_PARTY_BREAKABLE_BLOCKS,
      ...COPPER_BLOCKS,
      'minecraft:coal_ore',
      'minecraft:copper_ore',
      'minecraft:iron_ore',
      'minecraft:gold_ore',
      'minecraft:lapis_ore',
      'minecraft:redstone_ore',

      
      'minecraft:coal_block',
      'minecraft:copper_block',
      'minecraft:iron_block',
      'minecraft:gold_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'new:rodio_block',
      'minecraft:prismarine_block',
      'new:topacio_block',
      'new:salt_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',

      'minecraft:lit_redstone_ore',
      'minecraft:deepslate_coal_ore',
      'minecraft:deepslate_copper_ore',
      'minecraft:deepslate_iron_ore',
      'minecraft:deepslate_gold_ore',
      'minecraft:deepslate_lapis_ore',
      'minecraft:deepslate_redstone_ore',
      'minecraft:lit_deepslate_redstone_ore',
      'minecraft:nether_gold_ore',
      'minecraft:quartz_ore',
      'new:prismarine_ore',
      'new:rodio_ore',
      'new:topacio_ore',
      'new:deepslate_salt_ore',
      'new:salt_ore',
      'new:deepslate_topacio_ore'
   ],
   'new:rodio_hammer': [
      ...HAMMER_COMMON_BREAKABLE_BLOCKS,
      ...THIRD_PARTY_BREAKABLE_BLOCKS,
      ...COPPER_BLOCKS,
      'minecraft:coal_ore',
      'minecraft:copper_ore',
      'minecraft:iron_ore',
      'minecraft:lapis_ore',
      'minecraft:redstone_ore',
      'minecraft:lit_redstone_ore',
      'minecraft:deepslate_coal_ore',
      'minecraft:deepslate_copper_ore',
      'minecraft:deepslate_iron_ore',
      'minecraft:deepslate_lapis_ore',
      'minecraft:deepslate_redstone_ore',
      'minecraft:lit_deepslate_redstone_ore',
      'minecraft:nether_gold_ore',
      'minecraft:quartz_ore',
      'new:prismarine_ore',
      'new:onix_ore',
      'new:deepslate_onix_ore',
      'new:rodio_ore',
      'new:topacio_ore',
      'minecraft:emerald_ore',
      'new:salt_ore',
      'new:deepslate_salt_ore',
      'minecraft:deepslate_emerald_ore',
      'new:deepslate_topacio_ore',

      'minecraft:coal_block',
      'minecraft:emerald_block',
      'minecraft:copper_block',
      'minecraft:iron_block',
      'minecraft:gold_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'new:rodio_block',
      'new:onix_block',
      'minecraft:prismarine_block',
      'new:topacio_block',
      'new:salt_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block'
   ],
   'new:onix_hammer': [
      ...HAMMER_COMMON_BREAKABLE_BLOCKS,
      ...THIRD_PARTY_BREAKABLE_BLOCKS,
      ...COPPER_BLOCKS,
      'minecraft:coal_ore',
      'minecraft:copper_ore',
      'minecraft:iron_ore',
      'minecraft:lapis_ore',
      'minecraft:redstone_ore',
      'minecraft:lit_redstone_ore',
      'minecraft:deepslate_coal_ore',
      'minecraft:deepslate_copper_ore',
      'minecraft:deepslate_iron_ore',
      'minecraft:deepslate_lapis_ore',
      'minecraft:deepslate_redstone_ore',
      'minecraft:lit_deepslate_redstone_ore',
      'minecraft:nether_gold_ore',
      'minecraft:quartz_ore',
      'new:prismarine_ore',
      'new:onix_ore',
      'new:deepslate_onix_ore',
      'new:rodio_ore',
      'new:topacio_ore',
      'minecraft:emerald_ore',
      'minecraft:deepslate_emerald_ore',
      'new:deepslate_topacio_ore',
      'new:platino_ore',
      'new:salt_ore',
      'new:deepslate_salt_ore',
      'new:deepslate_platino_ore',

      'minecraft:coal_block',
      'minecraft:emerald_block',
      'minecraft:copper_block',
      'minecraft:iron_block',
      'minecraft:gold_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'new:rodio_block',
      'new:onix_block',
      'new:platino_block',
      'minecraft:prismarine_block',
      'new:topacio_block',
      'new:salt_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block'
   ],
   'new:platino_hammer': [
      ...HAMMER_COMMON_BREAKABLE_BLOCKS,
      ...THIRD_PARTY_BREAKABLE_BLOCKS,
      ...COPPER_BLOCKS,
      'minecraft:coal_ore',
      'minecraft:copper_ore',
      'minecraft:iron_ore',
      'minecraft:lapis_ore',
      'minecraft:redstone_ore',
      'minecraft:lit_redstone_ore',
      'minecraft:deepslate_coal_ore',
      'minecraft:deepslate_copper_ore',
      'minecraft:deepslate_iron_ore',
      'minecraft:deepslate_lapis_ore',
      'minecraft:deepslate_redstone_ore',
      'minecraft:lit_deepslate_redstone_ore',
      'minecraft:nether_gold_ore',
      'minecraft:quartz_ore',
      'new:prismarine_ore',
      'new:onix_ore',
      'new:deepslate_onix_ore',
      'new:rodio_ore',
      'new:topacio_ore',
      'minecraft:emerald_ore',
      'minecraft:deepslate_emerald_ore',
      'new:deepslate_topacio_ore',
      'new:platino_ore',
      'new:deepslate_platino_ore',
      'new:jade_ore',
      'new:deepslate_salt_ore',
      'new:salt_ore',
      'new:deepslate_jade_ore',

      'minecraft:coal_block',
      'minecraft:emerald_block',
      'minecraft:copper_block',
      'minecraft:iron_block',
      'minecraft:gold_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'new:rodio_block',
      'new:onix_block',
      'new:platino_block',
      'minecraft:prismarine_block',
      'new:topacio_block',
      'new:jade_block',
      'new:salt_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block'
   ],
   'new:jade_hammer': [
      ...HAMMER_COMMON_BREAKABLE_BLOCKS,
      ...THIRD_PARTY_BREAKABLE_BLOCKS,
      ...COPPER_BLOCKS,
      'minecraft:coal_ore',
      'minecraft:copper_ore',
      'minecraft:iron_ore',
      'minecraft:lapis_ore',
      'minecraft:redstone_ore',
      'minecraft:lit_redstone_ore',
      'minecraft:deepslate_coal_ore',
      'minecraft:deepslate_copper_ore',
      'minecraft:deepslate_iron_ore',
      'minecraft:deepslate_lapis_ore',
      'minecraft:deepslate_redstone_ore',
      'minecraft:lit_deepslate_redstone_ore',
      'minecraft:nether_gold_ore',
      'minecraft:quartz_ore',
      'minecraft:obsidian',
      'minecraft:crying_obsidian',
      'new:prismarine_ore',
      'new:onix_ore',
      'new:deepslate_onix_ore',
      'new:rodio_ore',
      'new:topacio_ore',
      'minecraft:emerald_ore',
      'minecraft:deepslate_emerald_ore',
      'new:deepslate_topacio_ore',
      'new:platino_ore',
      'new:deepslate_platino_ore',
      'new:jade_ore',
      'new:deepslate_jade_ore',
      'new:ruby_ore',
      'new:deepslate_ruby_ore',
      'new:sapphire_ore',
      'new:deepslate_salt_ore',
      'new:salt_ore',
      'new:deepslate_sapphire_ore',

      'minecraft:coal_block',
      'minecraft:emerald_block',
      'minecraft:copper_block',
      'minecraft:iron_block',
      'minecraft:gold_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'new:rodio_block',
      'new:onix_block',
      'new:platino_block',
      'minecraft:prismarine_block',
      'new:topacio_block',
      'new:jade_block',
      'new:salt_block',
      'new:sapphire_block',
      'new:ruby_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block'
   ],
   'new:ruby_hammer': [
      ...HAMMER_COMMON_BREAKABLE_BLOCKS,
      ...THIRD_PARTY_BREAKABLE_BLOCKS,
      ...COPPER_BLOCKS,
      'minecraft:coal_ore',
      'minecraft:copper_ore',
      'minecraft:iron_ore',
      'minecraft:gold_ore',
      'minecraft:lapis_ore',
      'minecraft:redstone_ore',
      'minecraft:lit_redstone_ore',
      'minecraft:emerald_ore',
      'minecraft:diamond_ore',
      'minecraft:deepslate_coal_ore',
      'minecraft:deepslate_copper_ore',
      'minecraft:deepslate_iron_ore',
      'minecraft:deepslate_gold_ore',
      'minecraft:deepslate_lapis_ore',
      'minecraft:deepslate_redstone_ore',
      'minecraft:lit_deepslate_redstone_ore',
      'minecraft:deepslate_emerald_ore',
      'minecraft:deepslate_diamond_ore',
      'minecraft:nether_gold_ore',
      'minecraft:quartz_ore',
      'minecraft:obsidian',
      'minecraft:crying_obsidian',
      'new:prismarine_ore',
      'new:rodio_ore',
      'new:jade_ore',
      'new:platino_ore',
      'new:onix_ore',
      'new:ruby_ore',
      'new:sapphire_ore',
      'new:uranium_ore',
      'new:salt_ore',
      'new:topacio_ore',

      'new:deepslate_jade_ore',
      'new:deepslate_platino_ore',
      'new:deepslate_onix_ore',
      'new:deepslate_ruby_ore',
      'new:deepslate_sapphire_ore',
      'new:deepslate_salt_ore',
      'new:deepslate_topacio_ore',

      'minecraft:coal_block',
      'minecraft:emerald_block',
      'minecraft:copper_block',
      'minecraft:iron_block',
      'minecraft:gold_block',
      'minecraft:lapis_block',
      'minecraft:diamond_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'new:rodio_block',
      'new:onix_block',
      'new:platino_block',
      'minecraft:prismarine_block',
      'new:topacio_block',
      'new:jade_block',
      'new:salt_block',
      'new:sapphire_block',
      'new:uranium_block',
      'new:ruby_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block'
   ],
   'new:sapphire_hammer': [
      ...HAMMER_COMMON_BREAKABLE_BLOCKS,
      ...THIRD_PARTY_BREAKABLE_BLOCKS,
      ...COPPER_BLOCKS,
      
      'minecraft:coal_ore',
      'minecraft:copper_ore',
      'minecraft:iron_ore',
      'minecraft:gold_ore',
      'minecraft:lapis_ore',
      'minecraft:redstone_ore',
      'minecraft:lit_redstone_ore',
      'minecraft:emerald_ore',
      'minecraft:diamond_ore',
      'minecraft:deepslate_coal_ore',
      'minecraft:deepslate_copper_ore',
      'minecraft:deepslate_iron_ore',
      'minecraft:deepslate_gold_ore',
      'minecraft:deepslate_lapis_ore',
      'minecraft:deepslate_redstone_ore',
      'minecraft:lit_deepslate_redstone_ore',
      'minecraft:deepslate_emerald_ore',
      'minecraft:deepslate_diamond_ore',
      'minecraft:nether_gold_ore',
      'minecraft:quartz_ore',
      'minecraft:obsidian',
      'minecraft:crying_obsidian',
      'new:prismarine_ore',
      'new:rodio_ore',
      'new:jade_ore',
      'new:platino_ore',
      'new:onix_ore',
      'new:ruby_ore',
      'new:sapphire_ore',
      'new:uranium_ore',
      'new:salt_ore',
      'new:topacio_ore',

      'new:deepslate_jade_ore',
      'new:deepslate_platino_ore',
      'new:deepslate_onix_ore',
      'new:deepslate_ruby_ore',
      'new:deepslate_sapphire_ore',
      'new:deepslate_salt_ore',
      'new:deepslate_topacio_ore',

      'minecraft:coal_block',
      'minecraft:emerald_block',
      'minecraft:copper_block',
      'minecraft:iron_block',
      'minecraft:gold_block',
      'minecraft:lapis_block',
      'minecraft:diamond_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'new:rodio_block',
      'new:onix_block',
      'new:platino_block',
      'minecraft:prismarine_block',
      'new:topacio_block',
      'new:jade_block',
      'new:salt_block',
      'new:sapphire_block',
      'new:uranium_block',
      'new:ruby_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block'
   ],
   'new:uranium_hammer': [
      ...HAMMER_COMMON_BREAKABLE_BLOCKS,
      ...THIRD_PARTY_BREAKABLE_BLOCKS,
      ...COPPER_BLOCKS,
      'minecraft:coal_ore',
      'minecraft:copper_ore',
      'minecraft:iron_ore',
      'minecraft:gold_ore',
      'minecraft:lapis_ore',
      'minecraft:redstone_ore',
      'minecraft:lit_redstone_ore',
      'minecraft:emerald_ore',
      'minecraft:diamond_ore',
      'minecraft:deepslate_coal_ore',
      'minecraft:deepslate_copper_ore',
      'minecraft:deepslate_iron_ore',
      'minecraft:deepslate_gold_ore',
      'minecraft:deepslate_lapis_ore',
      'minecraft:deepslate_redstone_ore',
      'minecraft:lit_deepslate_redstone_ore',
      'minecraft:deepslate_emerald_ore',
      'minecraft:deepslate_diamond_ore',
      'minecraft:ancient_debris',
      'minecraft:nether_gold_ore',
      'minecraft:quartz_ore',
      'minecraft:obsidian',
      'minecraft:crying_obsidian',
      'new:prismarine_ore',
      'new:rodio_ore',
      'new:jade_ore',
      'new:platino_ore',
      'new:onix_ore',
      'new:ruby_ore',
      'new:sapphire_ore',
      'new:uranium_ore',
      'new:salt_ore',
      'new:flourite_ore',
      'new:topacio_ore',

      'new:deepslate_jade_ore',
      'new:deepslate_platino_ore',
      'new:deepslate_onix_ore',
      'new:deepslate_ruby_ore',
      'new:deepslate_sapphire_ore',
      'new:deepslate_salt_ore',
      'new:deepslate_topacio_ore',

      'minecraft:coal_block',
      'minecraft:emerald_block',
      'minecraft:copper_block',
      'minecraft:iron_block',
      'minecraft:gold_block',
      'minecraft:lapis_block',
      'minecraft:diamond_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'new:rodio_block',
      'new:onix_block',
      'new:platino_block',
      'minecraft:prismarine_block',
      'new:topacio_block',
      'new:jade_block',
      'new:flourite_block',
      'new:salt_block',
      'new:sapphire_block',
      'new:uranium_block',
      'new:ruby_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'minecraft:ancient_debris',
      'minecraft:netherite_block'
   ],
   'new:flourite_hammer': [
      ...HAMMER_COMMON_BREAKABLE_BLOCKS,
      ...THIRD_PARTY_BREAKABLE_BLOCKS,
      ...COPPER_BLOCKS,
      'minecraft:coal_ore',
      'minecraft:copper_ore',
      'minecraft:iron_ore',
      'minecraft:gold_ore',
      'minecraft:lapis_ore',
      'minecraft:redstone_ore',
      'minecraft:lit_redstone_ore',
      'minecraft:emerald_ore',
      'minecraft:diamond_ore',
      'minecraft:deepslate_coal_ore',
      'minecraft:deepslate_copper_ore',
      'minecraft:deepslate_iron_ore',
      'minecraft:deepslate_gold_ore',
      'minecraft:deepslate_lapis_ore',
      'minecraft:deepslate_redstone_ore',
      'minecraft:lit_deepslate_redstone_ore',
      'minecraft:deepslate_emerald_ore',
      'minecraft:deepslate_diamond_ore',
      'minecraft:ancient_debris',
      'minecraft:nether_gold_ore',
      'minecraft:quartz_ore',
      'minecraft:obsidian',
      'minecraft:crying_obsidian',
      'new:prismarine_ore',
      'new:rodio_ore',
      'new:jade_ore',
      'new:platino_ore',
      'new:onix_ore',
      'new:ruby_ore',
      'new:sapphire_ore',
      'new:uranium_ore',
      'new:salt_ore',
      'new:flourite_ore',
      'new:topacio_ore',

      'new:deepslate_jade_ore',
      'new:deepslate_platino_ore',
      'new:deepslate_onix_ore',
      'new:deepslate_ruby_ore',
      'new:deepslate_sapphire_ore',
      'new:deepslate_ambar_ore',
      'new:deepslate_salt_ore',
      'new:deepslate_topacio_ore',

      'minecraft:coal_block',
      'minecraft:emerald_block',
      'minecraft:copper_block',
      'minecraft:iron_block',
      'minecraft:gold_block',
      'minecraft:lapis_block',
      'minecraft:diamond_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'new:rodio_block',
      'new:onix_block',
      'new:platino_block',
      'minecraft:prismarine_block',
      'new:topacio_block',
      'new:jade_block',
      'new:flourite_block',
      'new:salt_block',
      'new:sapphire_block',
      'new:uranium_block',
      'new:ruby_block',
      'new:ambar_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'minecraft:ancient_debris',
      'minecraft:netherite_block'
   ],
   'new:ambar_hammer': [
      ...HAMMER_COMMON_BREAKABLE_BLOCKS,
      ...THIRD_PARTY_BREAKABLE_BLOCKS,
      ...COPPER_BLOCKS,
      'minecraft:coal_ore',
      'minecraft:copper_ore',
      'minecraft:iron_ore',
      'minecraft:gold_ore',
      'minecraft:lapis_ore',
      'minecraft:redstone_ore',
      'minecraft:lit_redstone_ore',
      'minecraft:emerald_ore',
      'minecraft:diamond_ore',
      'minecraft:deepslate_coal_ore',
      'minecraft:deepslate_copper_ore',
      'minecraft:deepslate_iron_ore',
      'minecraft:deepslate_gold_ore',
      'minecraft:deepslate_lapis_ore',
      'minecraft:deepslate_redstone_ore',
      'minecraft:lit_deepslate_redstone_ore',
      'minecraft:deepslate_emerald_ore',
      'minecraft:deepslate_diamond_ore',
      'minecraft:ancient_debris',
      'minecraft:nether_gold_ore',
      'minecraft:quartz_ore',
      'minecraft:obsidian',
      'minecraft:crying_obsidian',
      'new:prismarine_ore',
      'new:rodio_ore',
      'new:jade_ore',
      'new:platino_ore',
      'new:onix_ore',
      'new:ruby_ore',
      'new:sapphire_ore',
      'new:uranium_ore',
      'new:salt_ore',
      'new:flourite_ore',
      'new:topacio_ore',

      'new:deepslate_jade_ore',
      'new:deepslate_platino_ore',
      'new:deepslate_onix_ore',
      'new:deepslate_ruby_ore',
      'new:deepslate_sapphire_ore',
      'new:deepslate_ambar_ore',
      'new:deepslate_salt_ore',
      'new:deepslate_topacio_ore',

      'minecraft:coal_block',
      'minecraft:emerald_block',
      'minecraft:copper_block',
      'minecraft:iron_block',
      'minecraft:gold_block',
      'minecraft:lapis_block',
      'minecraft:diamond_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'new:rodio_block',
      'new:onix_block',
      'new:platino_block',
      'minecraft:prismarine_block',
      'new:topacio_block',
      'new:jade_block',
      'new:flourite_block',
      'new:salt_block',
      'new:sapphire_block',
      'new:uranium_block',
      'new:ruby_block',
      'new:ambar_block',
      'minecraft:lapis_block',
      'minecraft:redstone_block',
      'minecraft:quartz_block',
      'minecraft:ancient_debris',
      'minecraft:netherite_block'
   ]
};